import Sortable from 'sortablejs';

export default {
    mounted() {
        var sortable = new Sortable(this.el, {
            handle: ".handle",
            draggable: "tr",
            ghostClass: "bg-gray-100",
            onSort: (e) => {
                this.pushEventTo(this.el, "reorder-author-role", { order: sortable.toArray(e.to) })
            }
        })
    }
}
